#
# spec file for package lua-luaexpat
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 florian.leparoux@gmail.com
# Copyright (c) 2012 Togan Muftuoglu toganm@opensuse.org
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua53
%define mod_name    luaexpat
Version:        1.3.0
Release:        lp151.2.2
Summary:        A SAX XML parser based on the Expat library
License:        MIT
Group:          Productivity/Networking/Other
Url:            http://matthewwild.co.uk/projects/luaexpat/
Source:         http://matthewwild.co.uk/projects/luaexpat/%{mod_name}-%{version}.tar.gz

BuildRequires:  libexpat-devel
Requires:       %{flavor}
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
LuaExpat is a SAX XML parser based on the Expat library.

%prep
%setup -q -n %{mod_name}-%{version}

%build
make %{?_smp_mflags} \
    PREFIX="%{_prefix}" \
    LUA_V=%{lua_version} \
    LUA_CDIR="%{lua_archdir}" \
    LUA_INC="-I%{lua_incdir}" \
    CFLAGS="%{optflags} -DLUA_32BITS"

%install
%makeinstall \
    PREFIX="%{_prefix}" \
    LUA_CDIR="%{lua_archdir}" \
    LUA_LDIR="%{lua_noarchdir}"

%files
%defattr(-,root,root)
%doc doc/us/license.html
%{lua_archdir}/lxp.so
%{lua_noarchdir}/lxp

%changelog
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Fri Aug  4 2017 tchvatal@suse.com
- Install license file
* Thu Jul 13 2017 tchvatal@suse.com
- Drop not needed luaexpat-lib.patch
- Fix detection of some lua based items for 5.2 and 5.3
- Switch to multibuild specfile to build against all lua flavors
- Fix build on lua5.3
* Wed May 28 2014 seiler@b1-systems.de
- update to v1.3.0
  * Lua 5.2 support (thanks Tomás Guisasola Gorham)
  * support for the XmlDecl handler
  * add parser:getcurrentbytecount() (XML_GetCurrentByteCount)
  * ability to disable CharacterData merging
  * Makefile improvements (thanks Vadim Misbakh-Soloviov)
* Sat Jun 29 2013 i@marguerite.su
- update version 1.2.0
  * support for the StartDoctypeDecl handler
  * add parser:stop() to abort parsing inside a callback
* Tue Apr 17 2012 toganm@opensuse.org
- Cleanup spec and create changes file
  * correct Licence to MIT
  * fix build for factory by using lua51-devel
  * fix build for SLE_11 and SLE_11_SP1
  * add copyright to spec
* Sat Jan 23 2010 florian.leparoux@gmail.com
- rebuild correctly luaexpat on openSUSE 11.2
* Tue Dec 15 2009 florian.leparoux@gmail.com
- build luaexpat on openSUSE 11.2
